#pragma chip PIC16F873
#include "define.h"
#include "interrupt.c"
#include "timer.c"
#pragma config WDTE=off, FOSC=HS

#pragma bit P1 @ PORTB.0        // poussoir gauche
#pragma bit P2 @ PORTB.1        // poussoir droite

void main(void)
{
TRISC=0x80;
TRISB=0x3;                       // port B0 et B1 en entre ( poussoirs )
PORTB=0;
setupTMR0();                     // configuration et mise en service du timer 0
nbpas=0;                         // nbpas = 200 x 83,5 S = 16,7 mS
temps=0;                         // cette variable est incrment toute les 16,7 mS ( interrupt )
consigne=15;                     // consigne de position au dpart ( milieu )
                                 // la consigne peut varier de 6  25
                                 // soit de (6x87,5 S)=0,5 mS  (25x87,5 S)=2,18 mS
copiecons=15;                    // copie pour la routine d'interruption
T0IE=1;                          // validation des interruptions pour timer 0
GIE=1;                           // mise en service globale des interruptions
while(1)
{
  if (P1==0) {                   // poussoir 1 actionn ?
            temps=0;             // oui alors
            while (temps==0);    // attendre 17 mS ( anti rebond )
            if (P1==0) {         // poussoir 1 toujours actionn ?
                    consigne++;  // oui alors augmenter la consigne de 1
                    if (consigne>25) consigne=25;    // et vrifier les limites
                    }
            temps=0;
            while (temps==0);    // attendre 17 mS
            }
  if (P2==0) {                   // poussoir 2 actionn ?
            temps=0;             // oui alors
            while (temps==0);    // attendre 17 mS ( anti rebond )
            if (P2==0) {         // poussoir 2 toujours actionn ?
                    consigne--;  // oui alors diminuer la consigne de 1
                    if (consigne<6) consigne=6;        // et vrifier les limites
                    }
            temps=0;
            while (temps==0);    // attendre 20 mS
            }
}
}
